"entry index is larger than available symbols" error #150

Closed
iBotPeaches opened this Issue Mar 18, 2015 · 28 comments

Comments

Projects
None yet
1 participant
@iBotPeaches
Owner

iBotPeaches commented Mar 18, 2015

Original issue 40 created by Brut.alll on 2010-05-31T13:14:57.000Z:

.

@iBotPeaches iBotPeaches self-assigned this Mar 18, 2015

@iBotPeaches

This comment has been minimized.

Show comment
Hide comment
@iBotPeaches

iBotPeaches Mar 18, 2015

Owner

Comment #1 originally posted by Brut.alll on 2010-05-31T13:15:49.000Z:

Issue 19 has been merged into this issue.

Owner

iBotPeaches commented Mar 18, 2015

Comment #1 originally posted by Brut.alll on 2010-05-31T13:15:49.000Z:

Issue 19 has been merged into this issue.

@iBotPeaches

This comment has been minimized.

Show comment
Hide comment
@iBotPeaches

iBotPeaches Mar 18, 2015

Owner

Comment #2 originally posted by Brut.alll on 2010-05-31T13:16:45.000Z:

Issue 20 has been merged into this issue.

Owner

iBotPeaches commented Mar 18, 2015

Comment #2 originally posted by Brut.alll on 2010-05-31T13:16:45.000Z:

Issue 20 has been merged into this issue.

@iBotPeaches

This comment has been minimized.

Show comment
Hide comment
@iBotPeaches

iBotPeaches Mar 18, 2015

Owner

Comment #3 originally posted by Brut.alll on 2010-05-31T13:22:00.000Z:

Issue 30 has been merged into this issue.

Owner

iBotPeaches commented Mar 18, 2015

Comment #3 originally posted by Brut.alll on 2010-05-31T13:22:00.000Z:

Issue 30 has been merged into this issue.

@iBotPeaches

This comment has been minimized.

Show comment
Hide comment
@iBotPeaches

iBotPeaches Mar 18, 2015

Owner

Comment #4 originally posted by Brut.alll on 2010-05-31T13:24:51.000Z:

Issue 35 has been merged into this issue.

Owner

iBotPeaches commented Mar 18, 2015

Comment #4 originally posted by Brut.alll on 2010-05-31T13:24:51.000Z:

Issue 35 has been merged into this issue.

@iBotPeaches

This comment has been minimized.

Show comment
Hide comment
@iBotPeaches

iBotPeaches Mar 18, 2015

Owner

Comment #5 originally posted by Brut.alll on 2010-06-01T08:16:21.000Z:

Issue 33 has been merged into this issue.

Owner

iBotPeaches commented Mar 18, 2015

Comment #5 originally posted by Brut.alll on 2010-06-01T08:16:21.000Z:

Issue 33 has been merged into this issue.

@iBotPeaches

This comment has been minimized.

Show comment
Hide comment
@iBotPeaches

iBotPeaches Mar 18, 2015

Owner

Comment #6 originally posted by Brut.alll on 2010-06-03T18:45:53.000Z:

Lemme know if rebuilt files work properly. I failed to rebuild them 1:1, I think it
should be ok, but who knows...

Owner

iBotPeaches commented Mar 18, 2015

Comment #6 originally posted by Brut.alll on 2010-06-03T18:45:53.000Z:

Lemme know if rebuilt files work properly. I failed to rebuild them 1:1, I think it
should be ok, but who knows...

@iBotPeaches

This comment has been minimized.

Show comment
Hide comment
@iBotPeaches

iBotPeaches Mar 18, 2015

Owner

Comment #7 originally posted by djmcnz on 2010-06-03T21:15:07.000Z:

Issue as reported in # 30 no longer occurs for me when building com.htc.resources.apk
but I get the following instead:

W/ResourceType( 2320): Bad string block: last string is not 0-terminated
D:\DavidM\Android\APKTool\com.htc.resources\res\values\styles.xml:6: error: Error: No
resource found that matches the given name: attr 'android:textColor'.

Not sure which "string block" is being referred to but the xml file seems fine.

Owner

iBotPeaches commented Mar 18, 2015

Comment #7 originally posted by djmcnz on 2010-06-03T21:15:07.000Z:

Issue as reported in # 30 no longer occurs for me when building com.htc.resources.apk
but I get the following instead:

W/ResourceType( 2320): Bad string block: last string is not 0-terminated
D:\DavidM\Android\APKTool\com.htc.resources\res\values\styles.xml:6: error: Error: No
resource found that matches the given name: attr 'android:textColor'.

Not sure which "string block" is being referred to but the xml file seems fine.

@iBotPeaches

This comment has been minimized.

Show comment
Hide comment
@iBotPeaches

iBotPeaches Mar 18, 2015

Owner

Comment #8 originally posted by mkzhang1979 on 2010-06-04T07:02:42.000Z:

For Phone.apk at http://docs.google.com/leaf?
id=0B0jrkxXOrji0ZGQ2ZDkzZTctYTAxMy00ZTk5LWJiOGUtZDYyZWQ4YmM1NWI4&hl=en&pli=1

C:\Users\admin\Desktop>apktool d Phone.apk Phone
I: Baksmaling...
I: Loading resource table...
W: Skipping "android" package group
I: Decoding resources...
I: Loading resource table from file: C:\Users\admin\apktool\framework\1.apk
I: Copying assets and libs...

(Without any change, just try to rebuild)

C:\Users\admin\Desktop>apktool b Phone.apk
Exception in thread "main" brut.androlib.AndrolibException: brut.directory.PathN
otExist: apktool.yml
at brut.androlib.Androlib.readMetaFile(Unknown Source)
at brut.androlib.Androlib.build(Unknown Source)
at brut.androlib.Androlib.build(Unknown Source)
at brut.apktool.Main.cmdBuild(Unknown Source)
at brut.apktool.Main.main(Unknown Source)
Caused by: brut.directory.PathNotExist: apktool.yml
at brut.directory.AbstractDirectory.getFileInput(Unknown Source)
... 5 more

C:\Users\admin\Desktop>

Owner

iBotPeaches commented Mar 18, 2015

Comment #8 originally posted by mkzhang1979 on 2010-06-04T07:02:42.000Z:

For Phone.apk at http://docs.google.com/leaf?
id=0B0jrkxXOrji0ZGQ2ZDkzZTctYTAxMy00ZTk5LWJiOGUtZDYyZWQ4YmM1NWI4&hl=en&pli=1

C:\Users\admin\Desktop>apktool d Phone.apk Phone
I: Baksmaling...
I: Loading resource table...
W: Skipping "android" package group
I: Decoding resources...
I: Loading resource table from file: C:\Users\admin\apktool\framework\1.apk
I: Copying assets and libs...

(Without any change, just try to rebuild)

C:\Users\admin\Desktop>apktool b Phone.apk
Exception in thread "main" brut.androlib.AndrolibException: brut.directory.PathN
otExist: apktool.yml
at brut.androlib.Androlib.readMetaFile(Unknown Source)
at brut.androlib.Androlib.build(Unknown Source)
at brut.androlib.Androlib.build(Unknown Source)
at brut.apktool.Main.cmdBuild(Unknown Source)
at brut.apktool.Main.main(Unknown Source)
Caused by: brut.directory.PathNotExist: apktool.yml
at brut.directory.AbstractDirectory.getFileInput(Unknown Source)
... 5 more

C:\Users\admin\Desktop>

@iBotPeaches

This comment has been minimized.

Show comment
Hide comment
@iBotPeaches

iBotPeaches Mar 18, 2015

Owner

Comment #9 originally posted by mkzhang1979 on 2010-06-04T07:25:00.000Z:

I got problem simlar to Comment 7 for Phone.apk posted in Issue 33.

Owner

iBotPeaches commented Mar 18, 2015

Comment #9 originally posted by mkzhang1979 on 2010-06-04T07:25:00.000Z:

I got problem simlar to Comment 7 for Phone.apk posted in Issue 33.

@iBotPeaches

This comment has been minimized.

Show comment
Hide comment
@iBotPeaches

iBotPeaches Mar 18, 2015

Owner

Comment #10 originally posted by herrlado on 2010-06-04T07:29:00.000Z:

Got something like that
/ResourceType(19101): Bad string block: last string is not 0-terminated
/home/lado/development/android/apktool/Phone/dst/res/values/styles.xml:4: error:
Error: No resource found that matches the given name: attr 'android:windowBackground'.
/home/lado/development/android/apktool/Phone/dst/res/values/styles.xml:5: error:
Error: No resource found that matches the given name: attr 'android:windowFrame'.
/home/lado/development/android/apktool/Phone/dst/res/values/styles.xml:8: error:
Error: No resource found that matches the given name: attr 'android:windowBackground'.

Dozens of lines

and

then

Exception in thread "main" brut.androlib.AndrolibException:
brut.common.BrutException: could not exec command: [aapt, p, -F,
/tmp/APKTOOL8395038617348458788.tmp, -I, /home/lado/apktool/framework/1.apk, -S,
/home/lado/development/android/apktool/Phone/dst/res, -M,
/home/lado/development/android/apktool/Phone/dst/AndroidManifest.xml,
/home/lado/development/android/apktool/Phone/dst/9patch]
at brut.androlib.res.AndrolibResources.aaptPackage(Unknown Source)
at brut.androlib.Androlib.buildResourcesFull(Unknown Source)
at brut.androlib.Androlib.buildResources(Unknown Source)
at brut.androlib.Androlib.build(Unknown Source)
at brut.androlib.Androlib.build(Unknown Source)
at brut.apktool.Main.cmdBuild(Unknown Source)
at brut.apktool.Main.main(Unknown Source)
Caused by: brut.common.BrutException: could not exec command: [aapt, p, -F,
/tmp/APKTOOL8395038617348458788.tmp, -I, /home/lado/apktool/framework/1.apk, -S,
/home/lado/development/android/apktool/Phone/dst/res, -M,
/home/lado/development/android/apktool/Phone/dst/AndroidManifest.xml,
/home/lado/development/android/apktool/Phone/dst/9patch]
at brut.util.OS.exec(Unknown Source)
... 7 more

Owner

iBotPeaches commented Mar 18, 2015

Comment #10 originally posted by herrlado on 2010-06-04T07:29:00.000Z:

Got something like that
/ResourceType(19101): Bad string block: last string is not 0-terminated
/home/lado/development/android/apktool/Phone/dst/res/values/styles.xml:4: error:
Error: No resource found that matches the given name: attr 'android:windowBackground'.
/home/lado/development/android/apktool/Phone/dst/res/values/styles.xml:5: error:
Error: No resource found that matches the given name: attr 'android:windowFrame'.
/home/lado/development/android/apktool/Phone/dst/res/values/styles.xml:8: error:
Error: No resource found that matches the given name: attr 'android:windowBackground'.

Dozens of lines

and

then

Exception in thread "main" brut.androlib.AndrolibException:
brut.common.BrutException: could not exec command: [aapt, p, -F,
/tmp/APKTOOL8395038617348458788.tmp, -I, /home/lado/apktool/framework/1.apk, -S,
/home/lado/development/android/apktool/Phone/dst/res, -M,
/home/lado/development/android/apktool/Phone/dst/AndroidManifest.xml,
/home/lado/development/android/apktool/Phone/dst/9patch]
at brut.androlib.res.AndrolibResources.aaptPackage(Unknown Source)
at brut.androlib.Androlib.buildResourcesFull(Unknown Source)
at brut.androlib.Androlib.buildResources(Unknown Source)
at brut.androlib.Androlib.build(Unknown Source)
at brut.androlib.Androlib.build(Unknown Source)
at brut.apktool.Main.cmdBuild(Unknown Source)
at brut.apktool.Main.main(Unknown Source)
Caused by: brut.common.BrutException: could not exec command: [aapt, p, -F,
/tmp/APKTOOL8395038617348458788.tmp, -I, /home/lado/apktool/framework/1.apk, -S,
/home/lado/development/android/apktool/Phone/dst/res, -M,
/home/lado/development/android/apktool/Phone/dst/AndroidManifest.xml,
/home/lado/development/android/apktool/Phone/dst/9patch]
at brut.util.OS.exec(Unknown Source)
... 7 more

@iBotPeaches

This comment has been minimized.

Show comment
Hide comment
@iBotPeaches

iBotPeaches Mar 18, 2015

Owner

Comment #11 originally posted by herrlado on 2010-06-04T08:17:04.000Z:

Here my Phone.apk from Motorola Milestone 2.1update1

Owner

iBotPeaches commented Mar 18, 2015

Comment #11 originally posted by herrlado on 2010-06-04T08:17:04.000Z:

Here my Phone.apk from Motorola Milestone 2.1update1

@iBotPeaches

This comment has been minimized.

Show comment
Hide comment
@iBotPeaches

iBotPeaches Mar 18, 2015

Owner

Comment #12 originally posted by Brut.alll on 2010-06-04T09:57:26.000Z:

Ahh, I know, what it is. You need aapt tool from newest SDK, because new Android
framework is not compatible with older aapt.

I will update install packages.

Owner

iBotPeaches commented Mar 18, 2015

Comment #12 originally posted by Brut.alll on 2010-06-04T09:57:26.000Z:

Ahh, I know, what it is. You need aapt tool from newest SDK, because new Android
framework is not compatible with older aapt.

I will update install packages.

@iBotPeaches

This comment has been minimized.

Show comment
Hide comment
@iBotPeaches

iBotPeaches Mar 18, 2015

Owner

Comment #13 originally posted by Brut.alll on 2010-06-04T09:57:26.000Z:

Ahh, I know, what it is. You need aapt tool from newest SDK, because new Android
framework is not compatible with older aapt.

I will update install packages.

Owner

iBotPeaches commented Mar 18, 2015

Comment #13 originally posted by Brut.alll on 2010-06-04T09:57:26.000Z:

Ahh, I know, what it is. You need aapt tool from newest SDK, because new Android
framework is not compatible with older aapt.

I will update install packages.

@iBotPeaches

This comment has been minimized.

Show comment
Hide comment
@iBotPeaches

iBotPeaches Mar 18, 2015

Owner

Comment #14 originally posted by Brut.alll on 2010-06-04T10:45:11.000Z:

(2010.06.04):

  • updated install packages to 2.2r01-1 version. Apktool 1.2.0 requires newer aapt
    tool, so you must update to use it.

Let me know, whether this worked for you :-)

Owner

iBotPeaches commented Mar 18, 2015

Comment #14 originally posted by Brut.alll on 2010-06-04T10:45:11.000Z:

(2010.06.04):

  • updated install packages to 2.2r01-1 version. Apktool 1.2.0 requires newer aapt
    tool, so you must update to use it.

Let me know, whether this worked for you :-)

@iBotPeaches

This comment has been minimized.

Show comment
Hide comment
@iBotPeaches

iBotPeaches Mar 18, 2015

Owner

Comment #15 originally posted by herrlado on 2010-06-04T10:48:29.000Z:

Great job. Works for me!

Owner

iBotPeaches commented Mar 18, 2015

Comment #15 originally posted by herrlado on 2010-06-04T10:48:29.000Z:

Great job. Works for me!

@iBotPeaches

This comment has been minimized.

Show comment
Hide comment
@iBotPeaches

iBotPeaches Mar 18, 2015

Owner

Comment #16 originally posted by stari4ek on 2010-06-04T11:48:40.000Z:

This problem is still here.
Sprint HTC Hero CDMA (2.1-update1)

building framework-res

/home/astar/android/kitchen/build/111/res/values/public.xml:2471: error: Public entry
identifier 0x1080338 entry index is larger than available symbols (index 824, total
symbols 824).
/home/astar/android/kitchen/build/111/res/values/public.xml:2471: error: Public
symbol drawable/selected_day_background declared here is not defined.

Owner

iBotPeaches commented Mar 18, 2015

Comment #16 originally posted by stari4ek on 2010-06-04T11:48:40.000Z:

This problem is still here.
Sprint HTC Hero CDMA (2.1-update1)

building framework-res

/home/astar/android/kitchen/build/111/res/values/public.xml:2471: error: Public entry
identifier 0x1080338 entry index is larger than available symbols (index 824, total
symbols 824).
/home/astar/android/kitchen/build/111/res/values/public.xml:2471: error: Public
symbol drawable/selected_day_background declared here is not defined.

@iBotPeaches

This comment has been minimized.

Show comment
Hide comment
@iBotPeaches

iBotPeaches Mar 18, 2015

Owner

Comment #17 originally posted by Brut.alll on 2010-06-04T11:50:51.000Z:

Could you upload this file?

Owner

iBotPeaches commented Mar 18, 2015

Comment #17 originally posted by Brut.alll on 2010-06-04T11:50:51.000Z:

Could you upload this file?

@iBotPeaches

This comment has been minimized.

Show comment
Hide comment
@iBotPeaches

iBotPeaches Mar 18, 2015

Owner

Comment #18 originally posted by stari4ek on 2010-06-04T12:31:34.000Z:

Here it is

Owner

iBotPeaches commented Mar 18, 2015

Comment #18 originally posted by stari4ek on 2010-06-04T12:31:34.000Z:

Here it is

@iBotPeaches

This comment has been minimized.

Show comment
Hide comment
@iBotPeaches

iBotPeaches Mar 18, 2015

Owner

Comment #19 originally posted by Brut.alll on 2010-06-04T12:41:33.000Z:

$ apktool d framework-res.apk
I: Loading resource table...
I: Decoding resources...
I: Copying assets and libs...

$ apktool b framework-res
W: Could not find sources
I: Checking whether resources has changed...
I: Building resources...
I: Building apk file...

Could you verify, that you are using apktool 1.2.0? Just run "apktool" and version is
on top of usage help.

Owner

iBotPeaches commented Mar 18, 2015

Comment #19 originally posted by Brut.alll on 2010-06-04T12:41:33.000Z:

$ apktool d framework-res.apk
I: Loading resource table...
I: Decoding resources...
I: Copying assets and libs...

$ apktool b framework-res
W: Could not find sources
I: Checking whether resources has changed...
I: Building resources...
I: Building apk file...

Could you verify, that you are using apktool 1.2.0? Just run "apktool" and version is
on top of usage help.

@iBotPeaches

This comment has been minimized.

Show comment
Hide comment
@iBotPeaches

iBotPeaches Mar 18, 2015

Owner

Comment #20 originally posted by stari4ek on 2010-06-04T12:43:01.000Z:

Ooops. I'm really sorry.
I've used old apktool.jar (1.1.2)

Works like a charm! Thank you.

Owner

iBotPeaches commented Mar 18, 2015

Comment #20 originally posted by stari4ek on 2010-06-04T12:43:01.000Z:

Ooops. I'm really sorry.
I've used old apktool.jar (1.1.2)

Works like a charm! Thank you.

@iBotPeaches

This comment has been minimized.

Show comment
Hide comment
@iBotPeaches

iBotPeaches Mar 18, 2015

Owner

Comment #21 originally posted by Brut.alll on 2010-06-04T12:45:12.000Z:

1.1.2 doesn't exist ;-)

Owner

iBotPeaches commented Mar 18, 2015

Comment #21 originally posted by Brut.alll on 2010-06-04T12:45:12.000Z:

1.1.2 doesn't exist ;-)

@iBotPeaches

This comment has been minimized.

Show comment
Hide comment
@iBotPeaches

iBotPeaches Mar 18, 2015

Owner

Comment #22 originally posted by Brut.alll on 2010-06-04T12:47:06.000Z:

<empty>

Owner

iBotPeaches commented Mar 18, 2015

Comment #22 originally posted by Brut.alll on 2010-06-04T12:47:06.000Z:

<empty>

@iBotPeaches

This comment has been minimized.

Show comment
Hide comment
@iBotPeaches

iBotPeaches Mar 18, 2015

Owner

Comment #23 originally posted by djmcnz on 2010-06-04T15:40:43.000Z:

I consider it fixed too, works for me! You're the man, thanks.

Owner

iBotPeaches commented Mar 18, 2015

Comment #23 originally posted by djmcnz on 2010-06-04T15:40:43.000Z:

I consider it fixed too, works for me! You're the man, thanks.

@iBotPeaches

This comment has been minimized.

Show comment
Hide comment
@iBotPeaches

iBotPeaches Mar 18, 2015

Owner

Comment #24 originally posted by MacManChomp on 2011-03-03T07:37:40.000Z:

Okay so I have the newest of the newest aapt. Got it today, but for some reason I still cannot build. I am having the same errors. "/Users/****/Desktop/framework-res/res/values/public.xml:2345: error: Public symbol string/throttled_notification_message declared here is not defined."
Any clue where this could be coming from? I'm on Mac OS X Leopard and solved the whole java problem already. I was also having a problem with greasekit interfering. Idk why that would be involved at all.

Owner

iBotPeaches commented Mar 18, 2015

Comment #24 originally posted by MacManChomp on 2011-03-03T07:37:40.000Z:

Okay so I have the newest of the newest aapt. Got it today, but for some reason I still cannot build. I am having the same errors. "/Users/****/Desktop/framework-res/res/values/public.xml:2345: error: Public symbol string/throttled_notification_message declared here is not defined."
Any clue where this could be coming from? I'm on Mac OS X Leopard and solved the whole java problem already. I was also having a problem with greasekit interfering. Idk why that would be involved at all.

@iBotPeaches

This comment has been minimized.

Show comment
Hide comment
@iBotPeaches

iBotPeaches Mar 18, 2015

Owner

Comment #25 originally posted by mkzhang1979 on 2011-03-03T07:50:47.000Z:

Do not use the latest aapt. Use the one from SDK version 8.

Owner

iBotPeaches commented Mar 18, 2015

Comment #25 originally posted by mkzhang1979 on 2011-03-03T07:50:47.000Z:

Do not use the latest aapt. Use the one from SDK version 8.

@iBotPeaches

This comment has been minimized.

Show comment
Hide comment
@iBotPeaches

iBotPeaches Mar 18, 2015

Owner

Comment #26 originally posted by MacManChomp on 2011-03-03T07:56:13.000Z:

sorry forgot to mention I'm working with the framework-res.apk from an optimus v. Also I only have API 8 revision 2 so I would assume this is the correct aapt as is it the aapt for 2.2 not sure if I could get the first revision to see if there is a difference but I don't beleive it would matter.

Owner

iBotPeaches commented Mar 18, 2015

Comment #26 originally posted by MacManChomp on 2011-03-03T07:56:13.000Z:

sorry forgot to mention I'm working with the framework-res.apk from an optimus v. Also I only have API 8 revision 2 so I would assume this is the correct aapt as is it the aapt for 2.2 not sure if I could get the first revision to see if there is a difference but I don't beleive it would matter.

@iBotPeaches

This comment has been minimized.

Show comment
Hide comment
@iBotPeaches

iBotPeaches Mar 18, 2015

Owner

Comment #27 originally posted by MacManChomp on 2011-03-03T08:41:09.000Z:

thank you I realized I was using the aapt from a different platform-tools folder. not even sure where it came from. again thank you. new problem has appeared though. but this one I think I can figure out :P

Owner

iBotPeaches commented Mar 18, 2015

Comment #27 originally posted by MacManChomp on 2011-03-03T08:41:09.000Z:

thank you I realized I was using the aapt from a different platform-tools folder. not even sure where it came from. again thank you. new problem has appeared though. but this one I think I can figure out :P

@iBotPeaches

This comment has been minimized.

Show comment
Hide comment
@iBotPeaches

iBotPeaches Mar 18, 2015

Owner

Comment #28 originally posted by maximilian.bl on 2011-04-01T20:01:24.000Z:

same problem than the others......
used the latest and the aapt form SDK version 8 (got apktool 1.3.2)
--> recompiling a framework from streakdroid 1.9---> its andorid 2.2.2

Owner

iBotPeaches commented Mar 18, 2015

Comment #28 originally posted by maximilian.bl on 2011-04-01T20:01:24.000Z:

same problem than the others......
used the latest and the aapt form SDK version 8 (got apktool 1.3.2)
--> recompiling a framework from streakdroid 1.9---> its andorid 2.2.2

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment